%global momorel 1
%global qtdir /usr/lib/qt3
%global qtver 3.2.3
%global kdedir /usr
%global kdever 3.2.3
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src

Name: kdeartwork
Summary: Additional artwork (themes, sound themes, etc.) for KDE.
Group: User Interface/Desktops
Version: %{kdever}
Release: %{momorel}m
License: GPL
#%%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 86bc54962ffee206fda15acfd228d52c
# Mirror site in Japan
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 86bc54962ffee206fda15acfd228d52c
ExcludeArch: ia64
Requires: kdebase >= %{kdever}, kdelibs >= %{kdever}
BuildPrereq: kdebase >= %{kdever}, libpng >= 1.2.0
BuildPreReq: autoconf >= 2.56-3m
BuildPreReq: perl
BuildPreReq: xscreensaver
URL: http://www.kde.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Additional artwork (icon sets, themes, etc) to improve the look of the
K Desktop Environment (KDE).

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

perl -p -i -e "s|autoconf|autoconf-2.53|g" admin/Makefile.common
perl -p -i -e "s|autoheader|autoheader-2.53|g" admin/Makefile.common

# make -f Makefile.cvs

%build
export KDEDIR=%{kdedir}
export QTDIR=%{qtdir}

CXXFLAGS="%{optflags} -DNDEBUG -DNO_DEBUG -fno-check-new" CFLAGS="%{optflags} -DNDEBUG -DNO_DEBUG" \
LANG=C ./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --enable-final
%make 

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/kde3/plugins/styles/*
%{_datadir}/applnk/System/ScreenSavers/*
%{_datadir}/apps/kscreensaver
%{_datadir}/apps/kstyle/themes/*
%{_datadir}/apps/kwin/*
%{_datadir}/apps/kworldclock/maps/*
%{_datadir}/config/*
%{_datadir}/icons/*
%{_datadir}/sounds/*
%{_datadir}/wallpapers/

%clean
rm -rf %{buildroot}

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files
- cleanup %%install

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Fri Dec 19 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Mon Nov 10 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- rebuild against for qt-3.2.3

* Wed Oct 1 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- changes are:
     Fixed a potential printf() format string attack in the slideshow screensaver

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    no changelog...

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-3m)
- add URL

* Sun Feb 23 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1-2m)
- fix add some files to %files (by muradaikan)

* Wed Feb  5 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-4m)
- rebuild against qt-3.0.5.

* Tue Jul 16 2002 Puntium <puntium@momonga-linux.org>
- (3.0.2-3m)
- fixed hardcoded version number
- nigirinaoshi

* Tue Jul 16 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.2-2m)
- revise the Source version

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Tue Jun 11 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.1-2k)
  update to 3.0.1

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec file.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Sat Sep  1 2001 Toru Hoshina <t@kondara.org>
- (2.2.0-4k)
- NOT noarch ... sumaso.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha2.1
- 2.2 alpha 2

* Thu Apr 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial release

